package org.processmining.acceptingpetrinet.algorithms;

import org.processmining.acceptingpetrinet.models.AcceptingPetriNet;
import org.processmining.acceptingpetrinet.models.AcceptingPetriNetArray;
import org.processmining.acceptingpetrinet.models.impl.AcceptingPetriNetArrayFactory;
import org.processmining.framework.plugin.PluginContext;

public class CreateAcceptingPetriNetArrayFromAcceptingPetriNetsAlgorithm {

	public AcceptingPetriNetArray apply(PluginContext context, AcceptingPetriNet... nets) {
		AcceptingPetriNetArray array = AcceptingPetriNetArrayFactory.createAcceptingPetriNetArray();
		for (AcceptingPetriNet apn : nets) {
			array.addNet(apn);
		}
		return array;
	}
}
