package org.processmining.acceptingpetrinet.parameters;

import org.processmining.acceptingpetrinet.filters.StartEndFilterManager;
import org.processmining.acceptingpetrinet.filters.StartEndFilterParameters;
import org.processmining.acceptingpetrinet.filters.impl.StartEndHideFilter;

public class RemoveStartEndTransitionsParameters extends StartEndFilterParameters {

	private String abstraction;

	@Deprecated
	public final static String HIDE = StartEndHideFilter.NAME;
	
	public RemoveStartEndTransitionsParameters() {
		super();
		setAbstraction(StartEndFilterManager.getInstance().getFilter(null).getName());
		setTryConnections(true);
	}
	
	public RemoveStartEndTransitionsParameters(RemoveStartEndTransitionsParameters parameters) {
		super(parameters);
		setAbstraction(parameters.getAbstraction());
		setTryConnections(parameters.isTryConnections());
	}
	
	public boolean equals(Object object) {
		if (object instanceof RemoveStartEndTransitionsParameters) {
			RemoveStartEndTransitionsParameters parameters = (RemoveStartEndTransitionsParameters) object;
			return super.equals(parameters)
					&& getAbstraction().equals(parameters.getAbstraction());
		}
		return false;
	}
	
	public String getAbstraction() {
		return abstraction;
	}

	public void setAbstraction(String removal) {
		this.abstraction = removal;
	}

}
