package org.processmining.acceptingpetrinet.models.impl;

import java.util.List;

import org.processmining.acceptingpetrinet.models.AcceptingPetriNet;
import org.processmining.acceptingpetrinet.models.AcceptingPetriNetArray;

public class AcceptingPetriNetArrayFactory {

	public static AcceptingPetriNetArray createAcceptingPetriNetArray() {
		return new AcceptingPetriNetArrayImpl();
	}

	public static AcceptingPetriNetArray createAcceptingPetriNetArray(List<AcceptingPetriNet> nets) {
		AcceptingPetriNetArray impl = createAcceptingPetriNetArray();
		for (AcceptingPetriNet net : nets) {
			impl.addNet(net);
		}
		return impl;
	}

}
